Bug 1163612 - Review Request: asql - run SQL queries against an Apache log file
Summary: Review Request: asql - run SQL queries against an Apache log file
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2014-11-13 05:56 UTC by Wilfredo Porta
Modified: 2015-09-16 03:09 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-15 17:54:05 UTC
Type: ---


Attachments (Terms of Use)

Description Wilfredo Porta 2014-11-13 05:56:45 UTC
Spec URL: https://wporta.fedorapeople.org/asql.spec
SRPM URL: https://wporta.fedorapeople.org/asql-1.7-1.fc20.src.rpm
Description: Allows you to run SQL queries against an Apache log file
Fedora Account System Username: wporta

Comment 1 William Moreno 2014-11-13 16:03:22 UTC
Hi Wilfredo this is a informal review, if this is your firts package.

These are some points than still need atention:

1- asql.noarch: W: spelling-error Summary(en_US) logfile -> log file,

Please check spelling in the Spec.

2- asql.noarch: W: summary-not-capitalized C asql allows you to run SQL
queries against an Apache logfile.

Sumary must be capitalidez

3- asql.noarch: W: summary-ended-with-dot

Sumary do not require dot (.) at end

4- asql.noarch: W: name-repeated-in-summary 

Summary do not need to have the package name

5- asql.noarch: W: spelling-error %description -l en_US logfile -> log
file

Same than point 1

6- asql.noarch: W: incoherent-version-in-changelog 0.0.1-1 ['1.7-1.fc20

Versión in changelog must the same version of the package

7- asql.noarch: W: invalid-license Artistic

It is a apache script, can you use GPL? Remember to update the pach with the lincese file

8- asql.noarch: W: no-manual-page-for-binary asql

This is not a bloqquer but binary files need a manpage, please open a Bug in upstream and request to include manpage

9- [!]: Spec file according to URL is the same as in SRPM

Spec file in url is not the same Spec file used to build the rpm, please update our spec and remake the rpm. Remenber to bump the relesease numbre to 2

Comment 2 William Moreno 2014-11-30 15:56:57 UTC
Any update here?

Comment 3 Eduardo Mayorga 2014-12-09 19:32:47 UTC
- Patches' names should begin with the package's name.

- %license macro should be used now.
  See: https://fedorahosted.org/fpc/ticket/411

- It seems like you are missing this dep: perl-Term-ReadLine-Gnu

- To preserve the time stamps in %install, I'd do this:
  install -pDm755 bin/asql %{buildroot}%{_bindir}/asql

Comment 4 Eduardo Mayorga 2015-09-06 17:52:59 UTC
Are you still interested in this review? If so, please comment in this ticket within one week, otherwise I'll close it as per https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews#Submitter_not_responding.

Comment 5 Eduardo Mayorga 2015-09-06 17:52:59 UTC
Are you still interested in this review? If so, please comment in this ticket within one week, otherwise I'll close it as per https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews#Submitter_not_responding.

Comment 6 Eduardo Mayorga 2015-09-15 17:54:05 UTC
It's been a week so I'm closing this bug. Feel free to submit a new review request if you are interested again.


Note You need to log in before you can comment on or make changes to this bug.